Bug 126409 - CAN-2004-0075 Vicam USB user/kernel copying (ipf)
Summary: CAN-2004-0075 Vicam USB user/kernel copying (ipf)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-21 10:04 UTC by Mark J. Cox
Modified: 2013-08-06 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 09:55:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2004-06-21 10:04:17 UTC
"The Vicam USB driver does not use the copy_from_user function when
copying data from userspace to kernel space, which crosses security
boundaries and allows local users to cause a denial of service."

Only affects Red Hat Advanced Workstation/Advanced Server (ipf)

patches and details at:
http://marc.theaimsgroup.com/?l=linux-kernel&m=108197561914277 and
http://marc.theaimsgroup.com/?l=linux-kernel&m=108202386509206

Comment 1 Jim Paradis 2004-12-01 09:55:18 UTC
NOTABUG.  There is no vicam driver in 2.1AS i386 (pensacola), and the
driver in 2.1AS ia64 already uses copy_from_user/copy_to_user.


Comment 2 Mark J. Cox 2004-12-01 10:05:36 UTC
Agreed, this is fixed in the upstream 2.4.18

Comment 3 Mark J. Cox 2004-12-01 10:14:30 UTC
For completeness the reason for this confusion is that Alan Cox fixed
this missing copy_*_user in 2.4.25.  However the problem was caused by
a n earlier commit, so only 2.4.21, 2.4.22, 2.4.23, 2.4.24 were
vulnerable.

(20021205 cset@3defd0e9x_YHB2ivyh_e3llqMHnZIA)
(20030505 cset@3eb6f9adaMJb2lm0SmLglM-WkSdDdA)



Note You need to log in before you can comment on or make changes to this bug.